Summary: NIDS (Network Intrusion Detection System) components, namely E-component
Name: 			libnids
Version: 		1.16
Release: 		2
Source: 		libnids-%{PACKAGE_VERSION}.tar.gz
BuildRoot: 		/tmp/%{name}-%{PACKAGE_VERSION}-root
Copyright: 		GPL
Group: 			Development/Networking
BuildRequires: 	libnet, libpcap

%description
        Libnids is a library that provides a functionality of one of NIDS 
(Network Intrusion Detection System) components, namely E-component. It
means 
that libnids code watches all local network traffic, cooks received
datagrams 
a bit (quite a bit ;)), and provides convinient information on them to 
analyzing modules of NIDS. Libnids performs:
a) assembly of TCP segments into TCP streams
b) IP defragmentation
c) TCP port scan detection 
More technical info can be found in MISC file.
        So, if you intend to develop a custom NIDS, you don't have to
build
low-level network code. If you decide to use libnids, you have got
E-component ready - you can focus on implementing other parts of NIDS.

%prep
%setup 

%build
%configure 
make 

%install
make install includedir=$RPM_BUILD_ROOT%{_includedir} libdir=$RPM_BUILD_ROOT%{_libdir} mandir=$RPM_BUILD_ROOT%{_mandir} 

%clean
rm -rf $RPM_BUILD_ROOT

%files
%attr(-, root, root) %doc COPYING README MISC doc samples
%attr(644, root, man) %{_mandir}/man3/libnids.3*
%attr(644, root, man) %{_includedir}/nids.h
%attr(644, root, man) %{_libdir}/libnids.a

%changelog
* Wed Jul 17 2002 Gomez Henri <hgomez@users.sourceforge.net>
- 1.16 rpm release 2
- rebuilt on Redhat 7.2

* Thu Dec 28 2000 Gomez Henri <hgomez@users.sourceforge.net>
- 1.16
- fixed man pages

* Tue May 02 2000 Joerg Dorchain <joerg@dorchain.net>
- RPM Version
